"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

var _react = require("react");

var _react2 = _interopRequireDefault(_react);

var REQUIRED_FIELD_SYMBOL = "*";

function getLabel(label, required) {
  if (!label) {
    return null;
  }
  if (required) {
    return label + REQUIRED_FIELD_SYMBOL;
  }
  return label;
}

function Wrapper(_ref) {
  var type = _ref.type;
  var children = _ref.children;
  var label = _ref.label;
  var required = _ref.required;

  return _react2["default"].createElement(
    "div",
    { className: "field field-" + type },
    _react2["default"].createElement(
      "label",
      null,
      getLabel(label, required),
      children
    )
  );
}

if (process.env.NODE_ENV !== "production") {
  Wrapper.propTypes = {
    type: _react.PropTypes.string.isRequired,
    label: _react.PropTypes.string,
    required: _react.PropTypes.bool,
    children: _react2["default"].PropTypes.node.isRequired
  };
}

exports["default"] = Wrapper;
module.exports = exports["default"];